The AbuseZero API is in public beta. Breaking changes are announced two weeks in advance.
AbuseZero

Retrieve a risk check

GET
/v1/checks/{checkId}

Authorization

apiKey
headerAuthorizationBearer <token>

Your secret API key, for example az_live_.... Use az_test_... keys against the sandbox.

Path Parameters

checkId*string

Response Body

The requested check.

application/json
  1. response
id*string
score*integer

Risk score. Higher means more likely to be abuse.

Range0 <= value <= 100
decision*string
Value in"allow""review""deny"
matchedRule?|

ID of the rule that produced the decision.

signals*array<>
createdAt*string
Formatdate-time
Example Request
curl -X GET 'https://api.abusezero.com/v1/checks/string'
Example Response
{  "id": "string",  "score": 0,  "decision": "allow",  "matchedRule": "string",  "signals": [    {      "name": "string",      "weight": 0,      "detail": "string"    }  ],  "createdAt": "2019-08-24T14:15:22Z"}